RESTinio

Public Member Functions | Public Attributes | List of all members
restinio::websocket::basic::impl::connection_input_t Struct Reference

Websocket input stuff. More...

`#include <ws_connection.hpp>`

## Public Member Functions
| connection_input_t (std::size_t buffer_size)
void | reset_parser_and_payload ()
| Prepare parser for reading new http-message. More...

## Public Attributes
ws_parser_t | m_parser
| websocket parser. More...
restinio::impl::fixed_buffer_t | m_buf
| Input buffer. More...
std::string | m_payload
| Current payload. More...

## Detailed Description

Websocket input stuff.

Definition at line 90 of file ws_connection.hpp.

## Constructor & Destructor Documentation

## ◆ connection_input_t()

restinio::websocket::basic::impl::connection_input_t::connection_input_t | ( | std::size_t | buffer_size | ) |
| inline

Definition at line 92 of file ws_connection.hpp.

## Member Function Documentation

## ◆ reset_parser_and_payload()

void restinio::websocket::basic::impl::connection_input_t::reset_parser_and_payload | ( |  | ) |
| inline

Prepare parser for reading new http-message.

Definition at line 107 of file ws_connection.hpp.

## Member Data Documentation

## ◆ m_buf

restinio::impl::fixed_buffer_t restinio::websocket::basic::impl::connection_input_t::m_buf

Input buffer.

Definition at line 100 of file ws_connection.hpp.

## ◆ m_parser

ws_parser_t restinio::websocket::basic::impl::connection_input_t::m_parser

websocket parser.

Definition at line 97 of file ws_connection.hpp.

## ◆ m_payload

std::string restinio::websocket::basic::impl::connection_input_t::m_payload

Current payload.

Definition at line 103 of file ws_connection.hpp.

The documentation for this struct was generated from the following file:

- restinio/websocket/impl/ws_connection.hpp